var KEY_GUARDAR="KEY_GUARDAR";

var KEY_GUARDAR_REPETIR="KEY_GUARDAR_REPETIR";

var KEY_CANCELAR="KEY_CANCELAR";

var MODULO = "Cuestionarios";

var onLoad=true;





function onLoadPage() {	

	

	 cargarTerritoriosLauncher();

	 territorioChange();



	//Si volvemos desde el listado y a la ida hemos seleccionado provincia y/o municpio, los volvemos a poner

	if(document.forms["formFiltroSolicitudes"].elements["filtro(codProv)"].value!=""){

		document.forms["formFiltroSolicitudes"].elements["filtro(codProvincia)"].value=document.forms["formFiltroSolicitudes"].elements["filtro(codProv)"].value;

		cargarMunicipiosLauncher();

		if(document.forms["formFiltroSolicitudes"].elements["filtro(codMuni)"].value!=""){

			document.forms["formFiltroSolicitudes"].elements["filtro(codMunicipio)"].value=document.forms["formFiltroSolicitudes"].elements["filtro(codMuni)"].value;

		}

	}

	if(document.forms["formFiltroSolicitudes"].elements["filtro(mes)"].value!=""){

			if(document.forms["formFiltroSolicitudes"].elements["filtro(mes)"].value.indexOf("0")==0)

				document.forms["formFiltroSolicitudes"].elements["filtro(mesSolicitud)"].value=document.forms["formFiltroSolicitudes"].elements["filtro(mes)"].value.substring(1,2);

			else

				document.forms["formFiltroSolicitudes"].elements["filtro(mesSolicitud)"].value=document.forms["formFiltroSolicitudes"].elements["filtro(mes)"].value;

	}



	document.all["filtro(anyo)"].focus();	

	onLoad=false;

}





function ponAccion(key){

	document.forms["formFiltroSolicitudes"].accion.value=key;

	document.forms["formFiltroSolicitudes"].submit();

}



function submmitFormulario(key){

	document.forms["formFiltroSolicitudes"].submit();

}





function territorioChange(){	



	if(!onLoad)

		document.forms["formFiltroSolicitudes"].elements["filtro(codProv)"].value=document.forms["formFiltroSolicitudes"].elements["filtro(codProvincia)"].value;

	limpiarComboMunicipios();

	if(document.forms["formFiltroSolicitudes"].elements["filtro(codProvincia)"].value!="")

		cargarMunicipiosLauncher();	

}



function municipioChange(){	

	if(!onLoad)

		document.forms["formFiltroUsuarios"].elements["filtro(codMuni)"].value=document.forms["formFiltroUsuarios"].elements["filtro(codMunicipio)"].value;

}



function limpiarComboMunicipios(){

	if(!onLoad)

		document.forms["formFiltroSolicitudes"].elements["filtro(codMuni)"].value="";

	document.all["filtro(codMunicipio)"].options.length=0;

	addOption(document.forms["formFiltroSolicitudes"].elements["filtro(codMunicipio)"],"",0);

}



function cargarTerritoriosLauncher(){

	cargarComboDataLauncherOrdenado(MODULO,idioma,"NORA_T17_PROVINCIA","id","ds_o", "filtro(codProvincia)", whereTerritorio, "false", true, "ds_o", "ASC");

}



function cargarMunicipiosLauncher(){

	where = "PROVINCIA_ID = " + document.forms["formFiltroSolicitudes"].elements["filtro(codProvincia)"].value;

	cargarComboDataLauncherOrdenado(MODULO,idioma,"NORA_T17_MUNICIPIO","id","ds_o", "filtro(codMunicipio)", where, "false", true, "ds_o", "ASC");

}



function mesChange(){

	if(!onLoad){

		if(document.forms["formFiltroSolicitudes"].elements["filtro(mesSolicitud)"].value.length<2)

			document.forms["formFiltroSolicitudes"].elements["filtro(mes)"].value="0"+document.forms["formFiltroSolicitudes"].elements["filtro(mesSolicitud)"].value;

		else document.forms["formFiltroSolicitudes"].elements["filtro(mes)"].value=document.forms["formFiltroSolicitudes"].elements["filtro(mesSolicitud)"].value;

	}

}